iParticleBuiltinEmitterBase Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iParticleBuiltinEmitterBase Struct Reference
Mesh plugins

Base interface for the emitters already built-in. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticleBuiltinEmitterBase:

List of all members.

## Public Member Functions
virtual void | GetInitialVelocity (csVector3 &linear, csVector3 &angular) const =0
| Get the initial velocity/magnitude of the emitted particles.
virtual csParticleBuiltinEmitterPlacement | GetParticlePlacement () const =0
| Get the initial particle placement.
virtual const csVector3 & | GetPosition () const =0
| Get the position of the emitter.
virtual bool | GetUniformVelocity () const =0
| Get the initial velocity strategy.
virtual void | SetInitialVelocity (const csVector3 &linear, const csVector3 &angular)=0
| Set the initial velocity/magnitude of the emitted particles.
virtual void | SetParticlePlacement (csParticleBuiltinEmitterPlacement place)=0
| Set the initial particle placement.
virtual void | SetPosition (const csVector3 &position)=0
| Set the position of the emitter.
virtual void | SetUniformVelocity (bool uniform)=0
| Set the initial velocity assignment strategy.

## Detailed Description

Base interface for the emitters already built-in.

Definition at line 552 of file particles.h.

## Member Function Documentation

virtual void iParticleBuiltinEmitterBase::GetInitialVelocity | ( | csVector3 & | linear,
|  | csVector3 & | angular
| ) |  | const`[pure virtual]`

Get the initial velocity/magnitude of the emitted particles.

virtual csParticleBuiltinEmitterPlacement iParticleBuiltinEmitterBase::GetParticlePlacement | ( |  | ) | const`[pure virtual]`

Get the initial particle placement.

virtual const csVector3& iParticleBuiltinEmitterBase::GetPosition | ( |  | ) | const`[pure virtual]`

Get the position of the emitter.

virtual bool iParticleBuiltinEmitterBase::GetUniformVelocity | ( |  | ) | const`[pure virtual]`

Get the initial velocity strategy.

virtual void iParticleBuiltinEmitterBase::SetInitialVelocity | ( | const csVector3 & | linear,
|  | const csVector3 & | angular
| ) |  | `[pure virtual]`

Set the initial velocity/magnitude of the emitted particles.

virtual void iParticleBuiltinEmitterBase::SetParticlePlacement | ( | csParticleBuiltinEmitterPlacement | place | ) | `[pure virtual]`

Set the initial particle placement.

virtual void iParticleBuiltinEmitterBase::SetPosition | ( | const csVector3 & | position | ) | `[pure virtual]`

Set the position of the emitter.

See also:
  iParticleSystemBase::SetLocalMode

virtual void iParticleBuiltinEmitterBase::SetUniformVelocity | ( | bool | uniform | ) | `[pure virtual]`

Set the initial velocity assignment strategy.

Uniform velocity means that direction is always "outward pushing" (exactly what that is depends on the shape of the emitter, for example sphere emitter give radial velocity). When using uniform velocity only the magnitude is used from the set velocity vector.

Opposite to uniform is to use a single velocity vector for new particles.

Default should be uniform velocity distribution.

The documentation for this struct was generated from the following file:

- imesh/particles.h